import { request } from '@/api/request.js'
export default {
  // 按月查询
  API_NVR_MONTH_GET(data = {}, params = {}) {
    return request({
      url: `/api/Nvr/QueryByMonth`,
      method: 'post',
      data,
      params
    })
  },
  // 按日查询
  API_NVR_DAY_GET(data = {}, params = {}) {
    return request({
      url: `/api/Nvr/QueryByDay`,
      method: 'post',
      data,
      params
    })
  },
  // 实时预览
  API_VIEW_PREVIEW_POST(data = {}) {
    return request({
      url: `/ly?address=/view/Preview`,
      method: 'post',
      data
    })
  },
  // 回放预览
  API_VIEW_PLAYBACK_POST(params = {}) {
    return request({
      url: `/api/Nvr/View`,
      method: 'get',
      params
    })
  },
  // 硬盘录列表
  API_LY_NVR_LIST_POST(params = {}) {
    return request({
      url: `api/Nvr/List`,
      method: 'get',
      params
    })
  },
  // 球机预览
  API_VIEW_BC_GET(data = {}) {
    return request({
      url: `/ly?address=/view/BallCamera`,
      method: 'get',
      data
    })
  },
  // 云台控制
  API_PTZ_MOVE_POST(data = {}) {
    return request({
      url: `/ly?address=/Ptz_Move`,
      method: 'post',
      data
    })
  },
  // 一点即视
  API_CLICKTOSEE_POST(data = {}) {
    return request({
      url: `/ly?address=/One_Click_to_See`,
      method: 'post',
      data
    })
  },
  // 获取尺寸
  API_LY_ARRANGE_POST(params = {}) {
    return request({
      url: `/ly?address=/ARRANGE`,
      method: 'post',
      params
    })
  },
  // 硬盘录登录
  API_LY_RELOGIN_POST(params = {}) {
    return request({
      url: `/ly?address=/Nvr/ReLogin`,
      method: 'post',
      params
    })
  },
  // 球机重连
  API_LY_B_RELOGIN_POST(params = {}) {
    return request({
      url: `/ly?address=/BallCamera/ReLogin`,
      method: 'post',
      params
    })
  },
  // 获取指南针与经纬度
  API_LY_ITUDEDIRECTION_GET(params = {}) {
    return request({
      url: `/api/ItudeDirection`,
      method: 'get',
      params
    })
  },
  // 获取设备维护数据
  API_LY_HEALTH_GET(params = {}) {
    return request({
      url: `/api/Health`,
      method: 'get',
      params
    })
  },
  // 获取ai ip
  API_INFER_MODE_GET(params = {}) {
    return request({
      url: `/api/InferMode`,
      method: 'get',
      params
    })
  },
  // 重定向跳转
  API_LY_JUMP_GET(params = {}) {
    return request({
      url: `/jump`,
      method: 'get',
      params
    })
  },
  // 第三方平台地址
  API_LY_ADDRESS_GET(params = {}) {
    return request({
      url: `/api/Address`,
      method: 'get',
      params
    })
  },
  // 转流接口
  API_LY_TRANSFER_GET(params = {}) {
    return request({
      url: `/ly?address=/TRANSFER`,
      method: 'post',
      params
    })
  }
}
