import { request } from '@/api/request.js'
export default {
  // 查询标签
  API_TAGLIST_GET(params = {}) {
    return request({
      url: '/api/tag',
      method: 'get',
      params
    })
  },

  // 删除标签
  API_DELTAG_GET(params = {}) {
    return request({
      url: '/api/tag',
      method: 'delete',
      params
    })
  },
  // 添加标签
  API_ADDTAG_GET(data = {}) {
    return request({
      url: '/api/tag',
      method: 'post',
      data
    })
  },
  // 修改标签
  API_UPDTAG_GET(data = {}) {
    return request({
      url: `/api/tag?TagUUID=${data.Id}`,
      method: 'put',
      data
    })
  },
  // 获取标签组
  API_GETGROUP_GET(params = {}) {
    return request({
      url: '/api/group',
      method: 'get',
      params
    })
  },
  // 添加标签组
  API_ADDGROUP_POST(data = {}) {
    return request({
      url: '/api/group',
      method: 'post',
      data
    })
  },
  // 添加修改标签组格式
  API_ADDGROUP_FORMAT_PUT(query = {}, data = {}) {
    return request({
      url: `/api/group_format?GroupId=${query.GroupId}`,
      method: 'put',
      data
    })
  },
  // 获取标签组格式
  API_GETGROUP_FORMAT_GET(params = {}) {
    return request({
      url: '/api/group_format',
      method: 'get',
      params
    })
  },
  // 获取标签数据
  API_TAG_DATA_GET(params = {}) {
    return request({
      url: '/api/tag_data',
      method: 'get',
      params
    })
  },
  // 修改/添加标签内容数据
  API_TAG_DATA_PUT(params = {}, data = {}) {
    return request({
      url: `/api/tag_data?TagUUID=${params.TagUUID}`,
      method: 'put',
      data
    })
  }
}
