import { useOutsideSystemStore } from '@/stores/modules/system.js'
import { isWap } from '@/utils'

const useSystem = useOutsideSystemStore()
export default {
  mounted(el) {
    let mc = new window.Hammer(el)

    const fn = (x, y) => {
      let ratioW = el.offsetWidth / useSystem.videoArrange.FullMainHeight
      let ratioH = el.offsetHeight / useSystem.videoArrange.FullMainWidth
      const mouseX = x
      const mouseY = y
      Object.assign(useSystem.partObj, {
        PartCenterX: `${mouseX / ratioW}`,
        PartCenterY: `${mouseY / ratioH}`
      })
    }
    if (['pub-video', 'rpb-video'].includes(el.className)) {
      if (isWap()) {
        mc.on('doubletap', (e) => {
          e.preventDefault()
          // 取消全选
          window.getSelection ? window.getSelection().removeAllRanges() : document.selection.empty()
          fn(e.center.x, e.center.y)
        })
      } else {
        el.addEventListener('dblclick', (e) => {
          e.preventDefault()
          // 取消全选
          window.getSelection ? window.getSelection().removeAllRanges() : document.selection.empty()
          fn(e.offsetX, e.offsetY)
        })
      }
    } else {
      // 双击全屏
      const fn = (e) => {
        e.preventDefault()
        let dgFn = (domArr) => {
          if (!domArr.length) return
          for (let i = 0; i < domArr.length; i++) {
            if (
              typeof domArr[i].className != 'object' &&
              domArr[i].className?.includes('screen-full-trigger')
            ) {
              domArr[i].click()
              break
            }
            dgFn(domArr[i].childNodes)
          }
        }
        dgFn(el.parentNode.parentNode.childNodes)
      }
      if (isWap()) {
        mc.on('doubletap', (e) => {
          fn(e)
        })
      } else {
        el.addEventListener('dblclick', (e) => {
          fn(e)
        })
      }
    }
  }
}
