import { useOutsideSystemStore } from '@/stores/modules/system.js'
import { useDebounceFn } from '@vueuse/core'
function calculateScaledDimensions(totalWidth, totalHeight, smallScreenWidth, smallScreenHeight) {
  // 计算视频的纵横比例
  const aspectRatio = totalWidth / totalHeight

  // 在小屏幕宽度范围内按比例缩放
  let scaledWidth = smallScreenWidth
  let scaledHeight = smallScreenWidth / aspectRatio

  // 如果按高度缩放后宽度大于小屏幕高度，则按高度缩放
  if (scaledHeight > smallScreenHeight) {
    scaledHeight = smallScreenHeight
    scaledWidth = smallScreenHeight * aspectRatio
  }

  // 如果按宽度缩放后高度小于小屏幕高度，则重新按宽度缩放以保持宽度占满
  if (scaledWidth < smallScreenWidth) {
    scaledWidth = smallScreenWidth
    scaledHeight = smallScreenWidth / aspectRatio
  }
  return {
    width: scaledWidth,
    height: scaledHeight
  }
}
export function useRatio(cName = '.pub-video') {
  const useSystem = useOutsideSystemStore()

  const videoDom = shallowRef(null)
  const videoBox = shallowRef(null)
  // const mainBox = shallowRef(null)
  const ratio = ref(0)

  const resizeHeadler = useDebounceFn(() => {
    ratio.value = videoDom.value.offsetWidth / useSystem.videoArrange.FullMainWidth
    const { width, height } = calculateScaledDimensions(
      useSystem.videoArrange.FullMainWidth,
      useSystem.videoArrange.FullMainHeight,
      videoBox.value?.offsetWidth - 15,
      videoBox.value?.offsetHeight
    )
    // videoDom.value.style.width = width + 'px'
    // videoDom.value.style.height = height + 'px'
    // mainBox.value.style.maxHeight = innerHeight - mainBox.value?.offsetTop + 'px'
  }, 500)
  videoDom.value = document.querySelector(cName)
  videoBox.value = document.querySelector('#video-com-id')
  // mainBox.value = document.querySelector('.main-box')
  useSystem.getVideoArrange().then(() => {
    nextTick(() => {
      videoDom.value &&
        (ratio.value = videoDom.value.offsetWidth / useSystem.videoArrange.FullMainWidth)

      addEventListener('resize', resizeHeadler)
      const { width, height } = calculateScaledDimensions(
        useSystem.videoArrange.FullMainWidth,
        useSystem.videoArrange.FullMainHeight,
        videoBox.value?.offsetWidth - 15,
        videoBox.value?.offsetHeight
      )
      

      // videoDom.value.style.width = width + 'px'
      // videoDom.value.style.height = height + 'px'
      // mainBox.value.style.maxHeight = innerHeight - mainBox.value?.offsetTop + 'px'
    })
  })
  return { ratio }
}
