export default function useWorker(url, className, callback = () => {}) {

  let canvas = document.querySelector(className)
  canvas = canvas.transferControlToOffscreen()
  const worker = new Worker(new URL('../assets/js/worker.js', import.meta.url), {
    type: 'module'
  })
  worker.addEventListener('message', () =>{
    callback()
  })
  let DataType = 'Start'
  worker.postMessage({  DataType,canvas }, [canvas])

  const WebSocketWork = new Worker(new URL('../assets/js/GetVideoStreaming.js', import.meta.url), {
    type: 'module'
  })
  WebSocketWork.postMessage({ url })
  WebSocketWork.addEventListener('message', (message) => {
    if (message.data.DataType === 'Track') {
      let DataType = 'Track'
      let codec =  message.data.track.codec.startsWith('vp08') ? 'vp8' : message.data.track.codec
      let codedHeight = message.data.track.video.height
      let codedWidth = message.data.track.video.width
      let description = message.data.tkinfo
      worker.postMessage({DataType,codec,codedHeight,codedWidth,description})
    }
    if (message.data.DataType === 'Samples') {
      let DataType = 'Samples'
      let type = message.data.sample.is_sync ? 'key' : 'delta'
      let timestamp = (1e6 * message.data.sample.cts) / message.data.sample.timescale
      let duration = (1e6 * message.data.sample.duration) / message.data.sample.timescale
      let data = message.data.sample.data
      worker.postMessage({DataType,type,timestamp,duration,data})
    }
  })

  return {worker, WebSocketWork}
}
