import { createApp } from 'vue'

import naiveUi from 'naive-ui'
import App from './App.vue'
import directives from './directives'
import { setupStore } from '@/stores'
import { setupRouter } from './router'

import './assets/main.css'
import 'virtual:uno.css'
import 'animate.css'
import '@/assets/scss/reset.scss'
import '@/assets/scss/adapter.scss'

async function bootstrap() {
  const app = createApp(App)

  app.use(naiveUi)
  app.use(directives)

  await setupStore(app)
  await setupRouter(app)

  app.mount('#app')
}
bootstrap()