/**
 * @author zcf
 * @E-mail boyzcf@qq.com
 * @description:
 * @date 2023-08-08 13:56
 */
import { useUrlSearchParams, useTitle } from '@vueuse/core'
import CookieJs from 'js-cookie'
import { v4 as uuidv4 } from 'uuid'

export const usePageTitle = (to) => {
  const projectTitle = import.meta.env.VITE_APP_TITLE
  const rawTitle = normalizeTitle(to.meta.title)
  const title = useTitle()
  title.value = rawTitle ? `${projectTitle} | ${rawTitle}` : projectTitle
  function normalizeTitle(raw) {
    return typeof raw === 'function' ? raw() : raw
  }
}

export const useInitCookie = () => {
  if (!CookieJs.get('fingerprint')) {
    CookieJs.set('fingerprint', uuidv4(), { expires: 9999, path: '' })
  }
}
